<header class="backoffice">
    <h2 class="author">Gestions des auteurs</h2>
</header>

<div class="flex">
    
    <div class="container container-back">
        <div>
        <h3>Ajouter un auteur</h3>
        </div>
            <?php if (!empty($errors)) : ?>
                <div class="error" role="alert">
                    <?php foreach ($errors as $error) : ?>
                        <?php echo $error; ?>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>
        <form class="flex" action="index.php?page=register" method="POST">
            <div class="flex">
                <label for="name">Nom d'auteur</label>
                <input type="text" name="name" id="name" value="<?= isset($_POST['name']) ? htmlspecialchars($_POST['name'], ENT_QUOTES) : null; ?>">
            </div>
            <div class="flex">
                <label for="login">Login</label>
                <input type="text" name="login" id="login" value="<?= isset($_POST['login']) ? htmlspecialchars($_POST['login'], ENT_QUOTES) : null; ?>">
            </div>
            <div class="flex">
                 <label for="email">Email</label>
                 <input type="email" id="email" name="email" value="<?= isset($_POST['email']) ? htmlspecialchars($_POST['email'], ENT_QUOTES) : null; ?>" placeholder="you@example.com" >
            </div>
            
            <div class="flex">
                <label for="password">Mot de passe</label>
                <input type="password" id="password" name="password" value="<?= isset($_POST['password']) ? htmlspecialchars($_POST['password'], ENT_QUOTES) : null;  ?>" placeholder="Choississez un mot de passe fort" >
            </div>
            
            <div class="flex">
                <label for="role">Niveau d'administration</label>
                <select type="role" id="role" name="role">
                    <option value="">--Please choose an option--</option>
                    <option value="1">webmasteur</option>
                    <option value="2">administrateur</option>
                </select>
            </div>
            <div>
                <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
                <input class="btn" type="submit" value="Ajouter">
            </div>
        </form>
    </div>
    
    <div class="container container-back">
        <h3> Supprimer un auteur </h3>
            <table>
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>Name</th>
                        <th>Login</th>
                        <th>Email</th>
                        <th>Role</th>
                        <th>Action</th>
                    </tr>
                </thead>
                
                <tbody>
                        <?php foreach ($allAuthors as $author) { ?>
                            <tr>
                                <td data-label="id"><?= $author['id'] ?></td>
                                <td data-label="Nom d'auteur"><?= isset($author['name']) ? htmlspecialchars($author['name'], ENT_QUOTES) : null ; ?></td>
                                <td data-label="login"><?= isset($author['login']) ? htmlspecialchars($author['login'], ENT_QUOTES) : null; ?></td>
                                <td data-label="email"><?= isset($author['email']) ? htmlspecialchars($author['email'], ENT_QUOTES) : null; ?></td>
                                <td data-label="role"><?= isset($author['role']) ? htmlspecialchars($author['role'], ENT_QUOTES) : null; ?></td>
                                <td>
                                    <form class="delete-form" action="index.php?page=delete_author" method="POST" data-form-action="delete">
                                        <input type="hidden" name="delete_author" value="<?= $author['id'] ?>">
                                        <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
                                        <input class="link delete" type="submit" value="Supprimer">
                                    </form>
                                </td>
                            </tr>
                        <?php } ?>
                </tbody>
            </table>
    </div>
    <?php require "modal.html"; ?>
</div>


